# Extensions in xmas_elf - Rust
A trait for things that are common ELF conventions but not part of the ELF specification.
Keywords: rust, rustlang, rust-lang, Extensions

# Trait xmas_elf::Extensions

source · [−]

    pub trait Extensions<'a> {
        fn get_gnu_buildid(&self) -> Option<&'a [u8]>;
        fn get_gnu_debuglink(&self) -> Option<(&'a str, u32)>;
    }

Expand description

A trait for things that are common ELF conventions but not part of the ELF specification.

## Required methods

source

#### fn get_gnu_buildid(&self) -> Option<&'a [ u8 ]>

Parse and return the value of the .note.gnu.build-id section, if it exists and is well-formed.

source

#### fn get_gnu_debuglink(&self) -> Option<(&'a str, u32 )>

Parse and return the value of the .gnu_debuglink section, if it exists and is well-formed.

## Implementors

source

### impl<'a> Extensions<'a> for ElfFile<'a>